use crate::create::Create;
use clap::{crate_authors, crate_version, AppSettings, Clap};

#[derive(Clap, Debug)]
#[clap(
    version = crate_version!(),
    author = crate_authors!(", "),
    setting = AppSettings::SubcommandRequiredElseHelp,
    global_setting = AppSettings::VersionlessSubcommands,
    global_setting = AppSettings::InferSubcommands,
)]
pub struct Opts {
    /// Produce verbose output
    #[clap(short, long, global = true)]
    pub verbose: bool,
    #[clap(subcommand)]
    pub command: Command,
}

#[derive(Clap, Debug)]
pub enum Command {
    Create(Create),
}
